#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	IO
%define	pnam	Compress
Summary:	IO::Compress - Base Class for IO::Compress modules
Summary(pl.UTF-8):	IO::Compress - klasa bazowa dla modułów IO::Compress
Name:		perl-IO-Compress
Version:	2.068
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IO/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	959f9b3a42d72da790c46eb0377c0fbc
URL:		http://search.cpan.org/dist/IO-Compress/
BuildRequires:	perl-ExtUtils-MakeMaker >= 5.16
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Compress-Raw-Bzip2 >= %{version}
BuildRequires:	perl-Compress-Raw-Zlib >= %{version}
BuildRequires:	perl-Encode
BuildRequires:	perl-Test-Pod
%endif
Provides:	perl-Compress-Zlib = %{version}
Obsoletes:	perl-Compress-Zlib < %{version}
Obsoletes:	perl-IO-Compress-Base < %{version}
Obsoletes:	perl-IO-Compress-Bzip2 < %{version}
Obsoletes:	perl-IO-Compress-Zlib < %{version}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is not intended for direct use in application code. Its
sole purpose if to to be sub-classed by IO::Compress and
IO::Uncompress modules.

%description -l pl.UTF-8
Ten moduł nie jest przeznaczony do bezpośredniego użycia w
aplikacjach. Jedynym jego celem jest tworzenie podklas w modułach
IO::Compress i IO::Uncompress.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	INST_LIB=blib/lib
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Compress/Zlib.pm
%{perl_vendorlib}/File/GlobMapper.pm
%dir %{perl_vendorlib}/IO/Compress
%{perl_vendorlib}/IO/Compress/*.pm
# not converted to man (why?)
%{perl_vendorlib}/IO/Compress/FAQ.pod
%dir %{perl_vendorlib}/IO/Compress/Adapter
%{perl_vendorlib}/IO/Compress/Adapter/*.pm
%dir %{perl_vendorlib}/IO/Compress/Base
%{perl_vendorlib}/IO/Compress/Base/Common.pm
%dir %{perl_vendorlib}/IO/Compress/Gzip
%{perl_vendorlib}/IO/Compress/Gzip/Constants.pm
%dir %{perl_vendorlib}/IO/Compress/Zip
%{perl_vendorlib}/IO/Compress/Zip/Constants.pm
%dir %{perl_vendorlib}/IO/Compress/Zlib
%{perl_vendorlib}/IO/Compress/Zlib/*.pm
%dir %{perl_vendorlib}/IO/Uncompress
%{perl_vendorlib}/IO/Uncompress/*.pm
%dir %{perl_vendorlib}/IO/Uncompress/Adapter
%{perl_vendorlib}/IO/Uncompress/Adapter/*.pm
%attr(755,root,root) %{_bindir}/zipdetails
%{_mandir}/man1/zipdetails.1p*
%{_mandir}/man3/Compress::Zlib.3pm*
%{_mandir}/man3/File::GlobMapper.3pm*
%{_mandir}/man3/IO::Compress*.3pm*
%{_mandir}/man3/IO::Uncompress*.3pm*
%changelog
* Thu Sep 10 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-IO-Compress.git;a=log;h=master

* Thu Sep 10 2015 Marcin Krol <hawk@tld-linux.org> 6a2cc7f
- updated to 2.068

* Sat Jun 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 0ce8b5b
- updated to 2.061

* Thu May 31 2012 Jakub Bogusz <qboosh@pld-linux.org> 7d046cf
- updated to 2.052

* Sat Feb 11 2012 zbyniu <zbyniu@pld-linux.org> f6e3d84
- up to 2.048

* Mon Jan 16 2012 Jakub Bogusz <qboosh@pld-linux.org> b3cb566
- unified Source0 URL

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> 58e7447
- up to 2.046

* Sat Mar 05 2011 Jakub Bogusz <qboosh@pld-linux.org> e1165a6
- updated to 2.033

* Fri Apr 09 2010 amateja <amateja@pld-linux.org> 0c3d4c0
- updated to 2.026

* Mon Mar 15 2010 amateja <amateja@pld-linux.org> ed36a2e
- updated to 2.024
- bumped up BRs perl(Compress::Raw::Bzip2) and perl(Compress::Raw::Zlib) to 2.024

* Wed Jan 06 2010 sparky <sparky@pld-linux.org> c053c5f
- rel 4

* Wed Jan 06 2010 sparky <sparky@pld-linux.org> d31830b
- fixed build without tests
- tests BR: perl(Encode), perl-Test-Pod
- added Compress/Zlib/autosplit.ix, used by AutoLoader

* Fri Jan 01 2010 sparky <sparky@pld-linux.org> 4f183e2
- versioned Provides, rel 3

* Fri Jan 01 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 9b72226
- release 2

* Fri Jan 01 2010 sparky <sparky@pld-linux.org> ad4ef9f
- P: perl-Compress-Zlib for compatibility

* Fri Nov 20 2009 amateja <amateja@pld-linux.org> aae25e3
- updated to 2.023

* Fri Nov 20 2009 amateja <amateja@pld-linux.org> 9124857
- adapterized

* Tue Sep 15 2009 amateja <amateja@pld-linux.org> aeb9589
- added O: perl-Compress-Zlib
- release 2

* Tue Sep 15 2009 amateja <amateja@pld-linux.org> 17c58ee
- fixed name

* Tue Sep 15 2009 amateja <amateja@pld-linux.org> 7054ee7
- initial

